Name: viper
Version: 0.4.3
Release: alt4.hg20090831
Summary: A simple mesh plotter and run--time visualization module
License: LGPL v2.1
Group: Graphics
Url: http://www.fenics.org/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>
BuildArch: noarch

Source: %name-%version.tar.gz

Requires: python-module-%name
BuildPreReq: python-devel

%description
Viper is a simple mesh plotter and run--time visualization module. Viper is
part of the FEniCS project.

Originally, Viper was a simple hack to make run-time visualization for PyCC.
The aim of Viper is efficiency and simplicity. Therefore, only default filters
and modules are available, and only very limited configuration is possible.

Recently, Viper has been expanded to provide plotting for Dolfin. The extension
is available through the viper_dolfin sub module, or directly through DOLFIN's
Python interface.

%package -n python-module-%name
Summary: Python module of Viper
Group: Development/Python
# skip requires for bootstrap
#add_python_req_skip dolfin vtk
%add_python_req_skip dolfin

%description -n python-module-%name
Viper is a simple mesh plotter and run--time visualization module. Viper is
part of the FEniCS project.

Originally, Viper was a simple hack to make run-time visualization for PyCC.
The aim of Viper is efficiency and simplicity. Therefore, only default filters
and modules are available, and only very limited configuration is possible.

Recently, Viper has been expanded to provide plotting for Dolfin. The extension
is available through the viper_dolfin sub module, or directly through DOLFIN's
Python interface.

This package contains Python module of Viper.

%prep
%setup

%build
%python_build

%install
CFLAGS="%optflags" python setup.py install \
	--root=%buildroot --optimize=2

%files
%doc AUTHORS COPYING ChangeLog README doc/manual/*.pdf
%_bindir/*
%_man1dir/*

%files -n python-module-%name
%python_sitelibdir/*

%changelog
* Mon Aug 31 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt4.hg20090831
- Snapshot 20090831

* Sat Aug 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt4.hg20090819.2
- Returned requirement on VTK. Well, now requirement on Dolfin is
  disabled, awaiting pkg-config files in boost and zlib development packages

* Sat Aug 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt4.hg20090819.1
- Bootstrap for moving CHOLMOD and UMFPACK pkg-config files from dolfin
  into SuiteSparse

* Wed Aug 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt4.hg20090819
- New snapshot

* Wed Aug 19 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt3.1
- Rebuilt with requirement on vtk and dolfin

* Wed Jul 15 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt2
- Added previously skipped requirement

* Thu Jul 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 0.4.3-alt1
- Bootstrap

